package com.jpa.test;

import java.util.Random;

import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import com.jpa.Organisation;
import com.jpa.Person;

public final class TestUtils {
	
	private TestUtils() {
		// no instances allowed
	}

	private static final Random rnd = new Random(System.currentTimeMillis());
	
	public static EntityManagerFactory EMF =  
		Persistence.createEntityManagerFactory("testjpa");

	public static String randomString() {
		return Long.toString(rnd.nextLong(), 32);
	}
	
	public static Person createPerson() {
		Person person = new Person();
		person.setName("Charly " + randomString());
		return person;
	}

	public static Organisation createOrganisation() {
		Organisation organisation = new Organisation();
		organisation.setName("OE" + randomString());
		return organisation;
	}
}